<html>
<head>
<title>OGRE: Ogre::ColourValue Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a></div>
<h1>Ogre::ColourValue Class Reference</h1><!-- doxytag: class="Ogre::ColourValue" -->Class representing colour.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ColourValue-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#cc033c4828ad9f7469269933d24850f5">ColourValue</a> (float red=1.0f, float green=1.0f, float blue=1.0f, float alpha=1.0f)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#6b32525e447b9ed0a5e1052fd62ceb2e">operator==</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#d89235b7111c0b8158516126feac734e">operator!=</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#8c0fefd117985c6df93c4714f370bcd6">RGBA</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#57f7d1f049460f32a47ce9994a6e8921">getAsRGBA</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves colour as RGBA.  <a href="#57f7d1f049460f32a47ce9994a6e8921"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a329d9aeeafb7aa8ccc4f52fe4904e9f">ARGB</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#4ccbd02b929bfa595445848e71507d82">getAsARGB</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves colour as ARGB.  <a href="#4ccbd02b929bfa595445848e71507d82"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#ebed1ceefe1a5fb28f59ea894031680f">BGRA</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#8ad894332efb965decfcf3cf52049c8b">getAsBGRA</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves colour as BGRA.  <a href="#8ad894332efb965decfcf3cf52049c8b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#c65e9a4f14f6cd3f76a1a9875fbd8dd8">ABGR</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#62fb19e5654fcc8da7c4416c20b641ce">getAsABGR</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves colours as ABGR.  <a href="#62fb19e5654fcc8da7c4416c20b641ce"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#0772677c217e45f2be90f187f5aaac9a">setAsRGBA</a> (const <a class="el" href="namespaceOgre.html#8c0fefd117985c6df93c4714f370bcd6">RGBA</a> val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets colour as RGBA.  <a href="#0772677c217e45f2be90f187f5aaac9a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#3d98d425442b7a6eda9016dd6e46abec">setAsARGB</a> (const <a class="el" href="namespaceOgre.html#a329d9aeeafb7aa8ccc4f52fe4904e9f">ARGB</a> val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets colour as ARGB.  <a href="#3d98d425442b7a6eda9016dd6e46abec"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#fceb18ee8660573973f6a430e75f73c0">setAsBGRA</a> (const <a class="el" href="namespaceOgre.html#ebed1ceefe1a5fb28f59ea894031680f">BGRA</a> val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets colour as BGRA.  <a href="#fceb18ee8660573973f6a430e75f73c0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#1089fa2eef113691b4f92a21c64103ce">setAsABGR</a> (const <a class="el" href="namespaceOgre.html#c65e9a4f14f6cd3f76a1a9875fbd8dd8">ABGR</a> val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets colour as ABGR.  <a href="#1089fa2eef113691b4f92a21c64103ce"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#21875c1d92c3ad0cba9cafd5776f42a0">saturate</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clamps colour value to the range [0, 1].  <a href="#21875c1d92c3ad0cba9cafd5776f42a0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#2444beae59d41b61e71f45cc396ad34f">saturateCopy</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">As saturate, except that this colour value is unaffected and the saturated colour value is returned as a copy.  <a href="#2444beae59d41b61e71f45cc396ad34f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#8a5e5d15068037cd9c3e3a13dd45b267">operator[]</a> (const size_t i) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Array accessor operator.  <a href="#8a5e5d15068037cd9c3e3a13dd45b267"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#f3579c76f3cd365ac54454be6a3f6f89">operator[]</a> (const size_t i)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Array accessor operator.  <a href="#f3579c76f3cd365ac54454be6a3f6f89"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#5dde8a74df3cbfd55cb0e5ca90aafafe">ptr</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#5dde8a74df3cbfd55cb0e5ca90aafafe"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const float *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#b081bc456d9b15bc3b0d3c8c4869cfad">ptr</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer accessor for direct copying.  <a href="#b081bc456d9b15bc3b0d3c8c4869cfad"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#ba3d75622d5063ff08e5add5674a1914">operator+</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#16eb12d0c1eed21daae1553e6f200c01">operator-</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rkVector) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#d9ed9e866b4a32512aeb019ebc905a09">operator *</a> (const float fScalar) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#0094b02a58768d0657e5ff7fee5aa6d1">operator *</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#80871b6a2fe6b35f99e13d43e05aac0b">operator/</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#abe2f2e8307d487db930775de63c03e9">operator/</a> (const float fScalar) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#8da50314432c59dee0aa3e6a72183e34">operator+=</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#bbc9a8f5cc1c054eb5b4633d6b0b2262">operator-=</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#5b88ee5903d59c1073460987a88c2773">operator *=</a> (const float fScalar)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#3d17eedbff96cef8dbd4414183e15cb3">operator/=</a> (const float fScalar)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#35b3e77e76f7584bdf83c9a3b1c7c1dc">setHSB</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> hue, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> saturation, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> brightness)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set a colour value from Hue, Saturation and Brightness.  <a href="#35b3e77e76f7584bdf83c9a3b1c7c1dc"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#6e086633637e335238d517e0ec9f2cd2">r</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#13fbd050af26b8bd549ccb46aa699e07">g</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#ae078d77b654f76e3b760174f93474ec">b</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#854058a76927880ae345ac1c465f9713">a</a></td></tr>

<tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#bc5d5f80d4d99438863cc808169283b5">ZERO</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#7f8a06f2a9dd645417c36b560f496c1a">Black</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#8eba66b2908f44f00f8d9c9ec25877de">White</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#b9c2a36f53ac599850f1cf8b822f750d">Red</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#00384a789ac354ea8dd252c62cb17aa4">Green</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#67ef25ecd0fa97e7e51e5bd87b29ae65">Blue</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#e017d2f69fb883694b0198c805352fb9">operator *</a> (const float fScalar, const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;rkVector)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">_OgreExport friend <br>
std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ColourValue.html#6e2f40ea1d31e17f5c45d457e0ab4b2d">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;c)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function for writing to a stream.  <a href="#6e2f40ea1d31e17f5c45d457e0ab4b2d"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class representing colour. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Colour is represented as 4 components, each of which is a floating-point value from 0.0 to 1.0. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>The 3 'normal' colour components are red, green and blue, a higher number indicating greater amounts of that component in the colour. The forth component is the 'alpha' value, which represents transparency. In this case, 0.0 is completely transparent and 1.0 is fully opaque. </dd></dl>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00052">52</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="cc033c4828ad9f7469269933d24850f5"></a><!-- doxytag: member="Ogre::ColourValue::ColourValue" ref="cc033c4828ad9f7469269933d24850f5" args="(float red=1.0f, float green=1.0f, float blue=1.0f, float alpha=1.0f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ColourValue::ColourValue           </td>
          <td>(</td>
          <td class="paramtype">float&nbsp;</td>
          <td class="paramname"> <em>red</em> = <code>1.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&nbsp;</td>
          <td class="paramname"> <em>green</em> = <code>1.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&nbsp;</td>
          <td class="paramname"> <em>blue</em> = <code>1.0f</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&nbsp;</td>
          <td class="paramname"> <em>alpha</em> = <code>1.0f</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00062">62</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="6b32525e447b9ed0a5e1052fd62ceb2e"></a><!-- doxytag: member="Ogre::ColourValue::operator==" ref="6b32525e447b9ed0a5e1052fd62ceb2e" args="(const ColourValue &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ColourValue::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d89235b7111c0b8158516126feac734e"></a><!-- doxytag: member="Ogre::ColourValue::operator!=" ref="d89235b7111c0b8158516126feac734e" args="(const ColourValue &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ColourValue::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="57f7d1f049460f32a47ce9994a6e8921"></a><!-- doxytag: member="Ogre::ColourValue::getAsRGBA" ref="57f7d1f049460f32a47ce9994a6e8921" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#8c0fefd117985c6df93c4714f370bcd6">RGBA</a> Ogre::ColourValue::getAsRGBA           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves colour as RGBA. 
<p>

</div>
</div><p>
<a class="anchor" name="4ccbd02b929bfa595445848e71507d82"></a><!-- doxytag: member="Ogre::ColourValue::getAsARGB" ref="4ccbd02b929bfa595445848e71507d82" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a329d9aeeafb7aa8ccc4f52fe4904e9f">ARGB</a> Ogre::ColourValue::getAsARGB           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves colour as ARGB. 
<p>

</div>
</div><p>
<a class="anchor" name="8ad894332efb965decfcf3cf52049c8b"></a><!-- doxytag: member="Ogre::ColourValue::getAsBGRA" ref="8ad894332efb965decfcf3cf52049c8b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ebed1ceefe1a5fb28f59ea894031680f">BGRA</a> Ogre::ColourValue::getAsBGRA           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves colour as BGRA. 
<p>

</div>
</div><p>
<a class="anchor" name="62fb19e5654fcc8da7c4416c20b641ce"></a><!-- doxytag: member="Ogre::ColourValue::getAsABGR" ref="62fb19e5654fcc8da7c4416c20b641ce" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#c65e9a4f14f6cd3f76a1a9875fbd8dd8">ABGR</a> Ogre::ColourValue::getAsABGR           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves colours as ABGR. 
<p>

</div>
</div><p>
<a class="anchor" name="0772677c217e45f2be90f187f5aaac9a"></a><!-- doxytag: member="Ogre::ColourValue::setAsRGBA" ref="0772677c217e45f2be90f187f5aaac9a" args="(const RGBA val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ColourValue::setAsRGBA           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#8c0fefd117985c6df93c4714f370bcd6">RGBA</a>&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets colour as RGBA. 
<p>

</div>
</div><p>
<a class="anchor" name="3d98d425442b7a6eda9016dd6e46abec"></a><!-- doxytag: member="Ogre::ColourValue::setAsARGB" ref="3d98d425442b7a6eda9016dd6e46abec" args="(const ARGB val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ColourValue::setAsARGB           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a329d9aeeafb7aa8ccc4f52fe4904e9f">ARGB</a>&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets colour as ARGB. 
<p>

</div>
</div><p>
<a class="anchor" name="fceb18ee8660573973f6a430e75f73c0"></a><!-- doxytag: member="Ogre::ColourValue::setAsBGRA" ref="fceb18ee8660573973f6a430e75f73c0" args="(const BGRA val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ColourValue::setAsBGRA           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#ebed1ceefe1a5fb28f59ea894031680f">BGRA</a>&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets colour as BGRA. 
<p>

</div>
</div><p>
<a class="anchor" name="1089fa2eef113691b4f92a21c64103ce"></a><!-- doxytag: member="Ogre::ColourValue::setAsABGR" ref="1089fa2eef113691b4f92a21c64103ce" args="(const ABGR val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ColourValue::setAsABGR           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#c65e9a4f14f6cd3f76a1a9875fbd8dd8">ABGR</a>&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets colour as ABGR. 
<p>

</div>
</div><p>
<a class="anchor" name="21875c1d92c3ad0cba9cafd5776f42a0"></a><!-- doxytag: member="Ogre::ColourValue::saturate" ref="21875c1d92c3ad0cba9cafd5776f42a0" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ColourValue::saturate           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clamps colour value to the range [0, 1]. 
<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00106">106</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreColourValue_8h-source.html#l00131">saturateCopy()</a>.</p>

</div>
</div><p>
<a class="anchor" name="2444beae59d41b61e71f45cc396ad34f"></a><!-- doxytag: member="Ogre::ColourValue::saturateCopy" ref="2444beae59d41b61e71f45cc396ad34f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::saturateCopy           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
As saturate, except that this colour value is unaffected and the saturated colour value is returned as a copy. 
<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00131">131</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h-source.html#l00106">saturate()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8a5e5d15068037cd9c3e3a13dd45b267"></a><!-- doxytag: member="Ogre::ColourValue::operator[]" ref="8a5e5d15068037cd9c3e3a13dd45b267" args="(const size_t i) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Ogre::ColourValue::operator[]           </td>
          <td>(</td>
          <td class="paramtype">const size_t&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Array accessor operator. 
<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00139">139</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f3579c76f3cd365ac54454be6a3f6f89"></a><!-- doxytag: member="Ogre::ColourValue::operator[]" ref="f3579c76f3cd365ac54454be6a3f6f89" args="(const size_t i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float&amp; Ogre::ColourValue::operator[]           </td>
          <td>(</td>
          <td class="paramtype">const size_t&nbsp;</td>
          <td class="paramname"> <em>i</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Array accessor operator. 
<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00147">147</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5dde8a74df3cbfd55cb0e5ca90aafafe"></a><!-- doxytag: member="Ogre::ColourValue::ptr" ref="5dde8a74df3cbfd55cb0e5ca90aafafe" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* Ogre::ColourValue::ptr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer accessor for direct copying. 
<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00155">155</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b081bc456d9b15bc3b0d3c8c4869cfad"></a><!-- doxytag: member="Ogre::ColourValue::ptr" ref="b081bc456d9b15bc3b0d3c8c4869cfad" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float* Ogre::ColourValue::ptr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer accessor for direct copying. 
<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00160">160</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba3d75622d5063ff08e5add5674a1914"></a><!-- doxytag: member="Ogre::ColourValue::operator+" ref="ba3d75622d5063ff08e5add5674a1914" args="(const ColourValue &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00167">167</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h-source.html#l00071">a</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">b</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">g</a>, and <a class="el" href="OgreColourValue_8h-source.html#l00071">r</a>.</p>

</div>
</div><p>
<a class="anchor" name="16eb12d0c1eed21daae1553e6f200c01"></a><!-- doxytag: member="Ogre::ColourValue::operator-" ref="16eb12d0c1eed21daae1553e6f200c01" args="(const ColourValue &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00179">179</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h-source.html#l00071">a</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">b</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">g</a>, and <a class="el" href="OgreColourValue_8h-source.html#l00071">r</a>.</p>

</div>
</div><p>
<a class="anchor" name="d9ed9e866b4a32512aeb019ebc905a09"></a><!-- doxytag: member="Ogre::ColourValue::operator *" ref="d9ed9e866b4a32512aeb019ebc905a09" args="(const float fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator *           </td>
          <td>(</td>
          <td class="paramtype">const float&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00191">191</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h-source.html#l00071">a</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">b</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">g</a>, and <a class="el" href="OgreColourValue_8h-source.html#l00071">r</a>.</p>

</div>
</div><p>
<a class="anchor" name="0094b02a58768d0657e5ff7fee5aa6d1"></a><!-- doxytag: member="Ogre::ColourValue::operator *" ref="0094b02a58768d0657e5ff7fee5aa6d1" args="(const ColourValue &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00203">203</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h-source.html#l00071">a</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">b</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">g</a>, and <a class="el" href="OgreColourValue_8h-source.html#l00071">r</a>.</p>

</div>
</div><p>
<a class="anchor" name="80871b6a2fe6b35f99e13d43e05aac0b"></a><!-- doxytag: member="Ogre::ColourValue::operator/" ref="80871b6a2fe6b35f99e13d43e05aac0b" args="(const ColourValue &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator/           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00215">215</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h-source.html#l00071">a</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">b</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">g</a>, and <a class="el" href="OgreColourValue_8h-source.html#l00071">r</a>.</p>

</div>
</div><p>
<a class="anchor" name="abe2f2e8307d487db930775de63c03e9"></a><!-- doxytag: member="Ogre::ColourValue::operator/" ref="abe2f2e8307d487db930775de63c03e9" args="(const float fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> Ogre::ColourValue::operator/           </td>
          <td>(</td>
          <td class="paramtype">const float&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00227">227</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h-source.html#l00071">a</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">b</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">g</a>, and <a class="el" href="OgreColourValue_8h-source.html#l00071">r</a>.</p>

</div>
</div><p>
<a class="anchor" name="8da50314432c59dee0aa3e6a72183e34"></a><!-- doxytag: member="Ogre::ColourValue::operator+=" ref="8da50314432c59dee0aa3e6a72183e34" args="(const ColourValue &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::ColourValue::operator+=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00255">255</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h-source.html#l00071">a</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">b</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">g</a>, and <a class="el" href="OgreColourValue_8h-source.html#l00071">r</a>.</p>

</div>
</div><p>
<a class="anchor" name="bbc9a8f5cc1c054eb5b4633d6b0b2262"></a><!-- doxytag: member="Ogre::ColourValue::operator-=" ref="bbc9a8f5cc1c054eb5b4633d6b0b2262" args="(const ColourValue &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::ColourValue::operator-=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00265">265</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>References <a class="el" href="OgreColourValue_8h-source.html#l00071">a</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">b</a>, <a class="el" href="OgreColourValue_8h-source.html#l00071">g</a>, and <a class="el" href="OgreColourValue_8h-source.html#l00071">r</a>.</p>

</div>
</div><p>
<a class="anchor" name="5b88ee5903d59c1073460987a88c2773"></a><!-- doxytag: member="Ogre::ColourValue::operator *=" ref="5b88ee5903d59c1073460987a88c2773" args="(const float fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::ColourValue::operator *=           </td>
          <td>(</td>
          <td class="paramtype">const float&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00275">275</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3d17eedbff96cef8dbd4414183e15cb3"></a><!-- doxytag: member="Ogre::ColourValue::operator/=" ref="3d17eedbff96cef8dbd4414183e15cb3" args="(const float fScalar)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; Ogre::ColourValue::operator/=           </td>
          <td>(</td>
          <td class="paramtype">const float&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00284">284</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="35b3e77e76f7584bdf83c9a3b1c7c1dc"></a><!-- doxytag: member="Ogre::ColourValue::setHSB" ref="35b3e77e76f7584bdf83c9a3b1c7c1dc" args="(Real hue, Real saturation, Real brightness)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ColourValue::setHSB           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>hue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>saturation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>brightness</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set a colour value from Hue, Saturation and Brightness. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>hue</em>&nbsp;</td><td>Hue value, scaled to the [0,1] range as opposed to the 0-360 </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>saturation</em>&nbsp;</td><td>Saturation level, [0,1] </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>brightness</em>&nbsp;</td><td>Brightness level, [0,1] </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="e017d2f69fb883694b0198c805352fb9"></a><!-- doxytag: member="Ogre::ColourValue::operator *" ref="e017d2f69fb883694b0198c805352fb9" args="(const float fScalar, const ColourValue &amp;rkVector)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> operator *           </td>
          <td>(</td>
          <td class="paramtype">const float&nbsp;</td>
          <td class="paramname"> <em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rkVector</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00242">242</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6e2f40ea1d31e17f5c45d457e0ab4b2d"></a><!-- doxytag: member="Ogre::ColourValue::operator&lt;&lt;" ref="6e2f40ea1d31e17f5c45d457e0ab4b2d" args="(std::ostream &amp;o, const ColourValue &amp;c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_OgreExport friend std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>c</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Function for writing to a stream. 
<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00309">309</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="bc5d5f80d4d99438863cc808169283b5"></a><!-- doxytag: member="Ogre::ColourValue::ZERO" ref="bc5d5f80d4d99438863cc808169283b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#bc5d5f80d4d99438863cc808169283b5">Ogre::ColourValue::ZERO</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00055">55</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7f8a06f2a9dd645417c36b560f496c1a"></a><!-- doxytag: member="Ogre::ColourValue::Black" ref="7f8a06f2a9dd645417c36b560f496c1a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#7f8a06f2a9dd645417c36b560f496c1a">Ogre::ColourValue::Black</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00056">56</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8eba66b2908f44f00f8d9c9ec25877de"></a><!-- doxytag: member="Ogre::ColourValue::White" ref="8eba66b2908f44f00f8d9c9ec25877de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#8eba66b2908f44f00f8d9c9ec25877de">Ogre::ColourValue::White</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00057">57</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b9c2a36f53ac599850f1cf8b822f750d"></a><!-- doxytag: member="Ogre::ColourValue::Red" ref="b9c2a36f53ac599850f1cf8b822f750d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#b9c2a36f53ac599850f1cf8b822f750d">Ogre::ColourValue::Red</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00058">58</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="00384a789ac354ea8dd252c62cb17aa4"></a><!-- doxytag: member="Ogre::ColourValue::Green" ref="00384a789ac354ea8dd252c62cb17aa4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#00384a789ac354ea8dd252c62cb17aa4">Ogre::ColourValue::Green</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00059">59</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="67ef25ecd0fa97e7e51e5bd87b29ae65"></a><!-- doxytag: member="Ogre::ColourValue::Blue" ref="67ef25ecd0fa97e7e51e5bd87b29ae65" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1ColourValue.html#67ef25ecd0fa97e7e51e5bd87b29ae65">Ogre::ColourValue::Blue</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00060">60</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6e086633637e335238d517e0ec9f2cd2"></a><!-- doxytag: member="Ogre::ColourValue::r" ref="6e086633637e335238d517e0ec9f2cd2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1ColourValue.html#6e086633637e335238d517e0ec9f2cd2">Ogre::ColourValue::r</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00071">71</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreColourValue_8h-source.html#l00191">operator *()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00167">operator+()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00255">operator+=()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00179">operator-()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00265">operator-=()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00215">operator/()</a>, and <a class="el" href="OgreAnimable_8h-source.html#l00109">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div><p>
<a class="anchor" name="13fbd050af26b8bd549ccb46aa699e07"></a><!-- doxytag: member="Ogre::ColourValue::g" ref="13fbd050af26b8bd549ccb46aa699e07" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1ColourValue.html#13fbd050af26b8bd549ccb46aa699e07">Ogre::ColourValue::g</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00071">71</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreColourValue_8h-source.html#l00191">operator *()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00167">operator+()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00255">operator+=()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00179">operator-()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00265">operator-=()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00215">operator/()</a>, and <a class="el" href="OgreAnimable_8h-source.html#l00109">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ae078d77b654f76e3b760174f93474ec"></a><!-- doxytag: member="Ogre::ColourValue::b" ref="ae078d77b654f76e3b760174f93474ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1ColourValue.html#ae078d77b654f76e3b760174f93474ec">Ogre::ColourValue::b</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00071">71</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreColourValue_8h-source.html#l00191">operator *()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00167">operator+()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00255">operator+=()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00179">operator-()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00265">operator-=()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00215">operator/()</a>, and <a class="el" href="OgreAnimable_8h-source.html#l00109">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div><p>
<a class="anchor" name="854058a76927880ae345ac1c465f9713"></a><!-- doxytag: member="Ogre::ColourValue::a" ref="854058a76927880ae345ac1c465f9713" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1ColourValue.html#854058a76927880ae345ac1c465f9713">Ogre::ColourValue::a</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreColourValue_8h-source.html#l00071">71</a> of file <a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a>.</p>

<p>Referenced by <a class="el" href="OgreColourValue_8h-source.html#l00191">operator *()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00167">operator+()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00255">operator+=()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00179">operator-()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00265">operator-=()</a>, <a class="el" href="OgreColourValue_8h-source.html#l00215">operator/()</a>, and <a class="el" href="OgreAnimable_8h-source.html#l00109">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreColourValue_8h-source.html">OgreColourValue.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:20 2008
</p>
</body>
</html>
